.header {
	background-image: url('@img/header/bg_header.jpg');
	background-repeat: no-repeat;
	background-position: center rem(-29);
	position: relative;

	@media (min-width:$mobile){
		background-position: center rem(5);
	}
	@media (min-width:$tablet){
		background-position: center top;
	}
	@media (min-width:$pc){
		background-size:100% 86%;
	}
	&::before {
		content: "";
		position: absolute;
		width: 100%;
		top: 0;
		left: 0;
		height: 13%;
		background-color: #27262A;
		z-index:2;
		@media (min-width:$mobile){
			height: 13.6%;
		}
		@media (min-width:$tablet){
			display: none;
		}
	}
	&::after {
		position: absolute;
		content: "";
		background-color: $mainColor;
		height: 10%;
		width: 100%;
		bottom: 0;
		z-index: 2;		

		@media (min-width:$mobile){
			display: none;
		}
	}
	
	&__wrapper {
		@include flex-space-between;
		padding: rem(30) 0;
		position: relative;	
		z-index: 3;	
		@media (min-width:$mobile){
			padding: rem(22) 0 rem(55) 0;
		}
		@media (min-width:$tablet){
			padding: rem(29.5) 0;
		}
	}

	&__btn {
		font-weight: 700;
		font-size: rem(15);
		line-height: rem(15);
		text-align: center;
		color: inherit;
		font-family: inherit;
		background-color: $colorMainViolet8D;
		padding: rem(11) rem(24.5);
		border-radius: rem(40);
		cursor: pointer;
		transition: all .3s ease 0s;
		&:hover {
			color: $colorMainViolet8D;
			background-color: $mainColor;
		}
		@media (min-width:$mobile){
			font-size: rem(16);
			line-height: rem(16);
			padding: rem(11) rem(34.5);
		}
		@media (min-width:$tablet){
			display: flex;
			justify-content: center;
			order: 2;
			margin-left: rem(38);
			line-height: rem(17);
			padding: rem(11) rem(20);
			flex: 0 1 15.92%;    
		}
	}
}
.logo {
	&:hover &__icon-fill {
		fill: $mainColor;
	} 
	&:hover &__title {
		color: $mainColor;
	} 
	@media (min-width:$mobile){
		@include flex-center;
	}
	&__icon {		
		height: 100%;
		width: rem(43);
		@media (min-width:$mobile){			
			padding-right: rem(17);
			width: rem(60);
		}
	}
	&__icon-fill {
		fill: $colorMainViolet8D;
		transition: all .3s ease 0s;
	}
	&__title {
		display: none;
		transition: all .3s ease 0s;
		@media (min-width:$mobile){
			display: block;
			color: $colorMainViolet8D;
			font-weight: 700;
			font-size: rem(24);
			line-height: rem(16);
			text-transform: uppercase;
			padding-top: rem(12);
		}
	}
}
.burger {
	position: relative;
	width: rem(26);
	height: rem(21);
	display: flex;
	flex-direction: column;
	gap: rem(6);
	@media (min-width:$mobile) {
		display: none;
	}
	&__line,
	&::before,
	&:after {
		content: '';
		background-color: $mainColor;
		border-radius: rem(5);
		width: 100%;
		height: rem(3);
		transition: all .3s ease 0s;
		position: relative;
	}
	&::before {
		margin-left: auto;
		width: 58%;
  }
  &.burger--active {

	.burger__line {
		opacity: 0;
	}

	&::before {
		 width: 100%;
		 transform: rotate(-45deg) translate(0px, -50%);
		 top: 49%;
	}

	&::after {
		transform: rotate(45deg) translate(0px, 50%);
		bottom: 49%;
	}
}

}
.menu {
	position: absolute;
   width: 100%;
   background-color: #333333;
   top: rem(103);
   z-index: 5; 
	right: -110%;
	transition: right .5s ease 0s;
	@media (min-width:$mobile){
		right: 0;
		background-color: transparent;
		top: rem(85);
	}
	@media (min-width:$tablet){
		position: static;
		display: flex;
		justify-content: end;
		align-items: center;
		order: 1;
	}
	&.menu--active {
		right: 0;
  }

	&__list {
		display: flex;
      flex-direction: column;
      padding-bottom: rem(14);
		@media (min-width:$mobile) {
			flex-direction: row;
			justify-content: center;
			padding: 0;
		}
	}

	&__item {
		
		@media (min-width:$mobile){
			&:not(:last-child){
				padding-right: 6%;
			}
			&:hover .menu__link {
				color: $mainColor;
			}
		}
		@media (min-width:$tablet){
			&:not(:last-child){
				padding-right: rem(48);
			}
		}
	}

	&__link {
		display: inline-block;
      width: 100%;
      font-size: rem(26);
		line-height: rem(26);
      padding: rem(35) rem(5) rem(30) rem(33);
      position: relative;
      transition: color .3s;
	
		@media (min-width:$mobile){
			font-size: rem(16);
			line-height: rem(18);
			font-weight: 700;
			color: $colorMainViolet8D;
			padding: 0;
			transition: all .3s ease 0s;
		}
		@media (min-width:$tablet){
			line-height: rem(15);
			}
		
		&:before {
			content: '';
			position: absolute;
			left: 0;
			top: 50%;
			transform: translateY(-50%);
			width: 0;
			height: 58%;
			background-color: $colorMainViolet8D;
			transition: width .3s;
			@media (min-width:$mobile){
				display: none;
			}
	  }

	  &:hover {
			color: $colorMainViolet8D;

			&::before {
				 width: rem(8);
				 @media (min-width:$mobile){
					display: none;
				 }
			}
	  }

	  &::after {
			content: '';
			position: absolute;
			height: rem(3);
			width: 100%;
			bottom: 0;
			left: 0;
			background-color: #3B3B3B;
			@media (min-width:$mobile){
				display: none;
			}
	  }
 }
}
.fork {
	@include flex-center-column;
	padding: rem(51) 0 rem(22) 0;
	position: relative;
	@media (min-width:$mobile){
		padding: rem(69) 0 rem(6) 0;
	}
	@media (min-width:$tablet){
		padding: rem(83) 0 rem(66) 0;
	}
}
.content-fork {
	margin-bottom: rem(396);

	@media (min-width:$mobile){
		margin-bottom: rem(430);
	}
	@media (min-width:$tablet){
		margin-bottom: rem(418);
	}
	&__title {
		font-weight: 700;
		font-size: rem(48);
		line-height: rem(48);
		text-align: center;
		margin-bottom: rem(19);

		@media (min-width:$mobile){
			font-size: rem(72);
			line-height: rem(72);
		}
		@media (min-width:$tablet){
			font-size: rem(82);
			line-height: rem(82);
		}
	}

	&__subtitle {
		font-size: rem(18);
		line-height: rem(24);
		text-align: center;
		color: $colorMainViolet8D;
		margin-bottom: rem(14);
		@media (min-width:$mobile){
			font-size: rem(24);
			margin-bottom: rem(19);
		}
		@media (min-width:$tablet){
			font-size: rem(30);
			line-height: rem(30);
		}
	}

	&__desc {
		line-height: rem(14);
		text-transform: uppercase;
		text-align: center;
		color: $colorGrey84;

		@media (min-width:$tablet){
			font-size: rem(16);
			line-height: rem(16);
		}
	}
}
.free-fork {
	position: relative;
	z-index: 5;
	@media (min-width:$mobile) {
		top: rem(-15);
	}
	@media (min-width:rem(703)){
		top: rem(5);
	}
	@media (min-width:$maxWidthContainer) {
		top: 0;
	}
	&__btn {
		font-weight: 700;
		font-size: rem(18);
		line-height: rem(20);
		text-align: center;
		color: inherit;
		font-family: inherit;
		background-color: $colorMainViolet8D;
		padding: rem(11) rem(34);
		border-radius: rem(40);
		cursor: pointer;
		margin-bottom: rem(20);		
		transition: all .3s ease 0s;
		border: 2px solid $colorMainViolet8D;
		&:hover {
			color: $colorMainViolet8D;
			background-color: $mainColor;
		}

		@media (min-width:$mobile){
			font-size: rem(21);
			line-height: rem(23);
			padding: rem(17.5) rem(60.5);
			margin-bottom: rem(19);
		}
		@media (min-width:$tablet){
			line-height: rem(22);
			padding: rem(18) rem(60.5);			
		}
	
	}

	&__decs {
		color: $colorGrey84;
		text-align: center;
		line-height: rem(14);

		@media (min-width:$mobile){
			line-height: rem(16);
		}
		@media (min-width:$tablet){
			line-height: rem(15);
		}
	}
}
